curl --request POST \
--url https://api.comfy.org/proxy/freepik/v1/ai/image-relight \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "<string>",
"advanced_settings": {
"blacks": 50,
"brightness": 50,
"contrast": 50,
"engine": "automatic",
"fixed_generation": false,
"saturation": 50,
"transfer_light_a": "automatic",
"transfer_light_b": "automatic",
"whites": 50
},
"change_background": true,
"interpolate_from_original": false,
"light_transfer_strength": 100,
"preserve_details": true,
"prompt": "<string>",
"style": "standard",
"transfer_light_from_lightmap": "<string>",
"transfer_light_from_reference_image": "<string>",
"webhook_url": "https://www.example.com/webhook"
}
'import requests
url = "https://api.comfy.org/proxy/freepik/v1/ai/image-relight"
payload = {
"image": "<string>",
"advanced_settings": {
"blacks": 50,
"brightness": 50,
"contrast": 50,
"engine": "automatic",
"fixed_generation": False,
"saturation": 50,
"transfer_light_a": "automatic",
"transfer_light_b": "automatic",
"whites": 50
},
"change_background": True,
"interpolate_from_original": False,
"light_transfer_strength": 100,
"preserve_details": True,
"prompt": "<string>",
"style": "standard",
"transfer_light_from_lightmap": "<string>",
"transfer_light_from_reference_image": "<string>",
"webhook_url": "https://www.example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
advanced_settings: {
blacks: 50,
brightness: 50,
contrast: 50,
engine: 'automatic',
fixed_generation: false,
saturation: 50,
transfer_light_a: 'automatic',
transfer_light_b: 'automatic',
whites: 50
},
change_background: true,
interpolate_from_original: false,
light_transfer_strength: 100,
preserve_details: true,
prompt: '<string>',
style: 'standard',
transfer_light_from_lightmap: '<string>',
transfer_light_from_reference_image: '<string>',
webhook_url: 'https://www.example.com/webhook'
})
};
fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-relight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"generated": [
"<string>"
],
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Relight an image
Relight an image using AI. This endpoint accepts a variety of parameters to customize the generated images.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Base64 or URL of the image to do the relight
Show child attributes
Show child attributes
When enabled, changes the background based on prompt and/or reference image. Useful for product placement and portraits.
When enabled, makes the final image interpolate from the original using the light transfer strength slider.
Level of light transfer intensity. 0% keeps closest to original, 100% is maximum transfer.
0 <= x <= 100Maintains texture and small details of the original image. Good for product photography, texts, etc.
You can guide the generation process and influence the light transfer with a descriptive prompt. IMPORTANT: You can emphasize specific aspects of the light in your prompt by using a number in parentheses, ranging from 1 to 1.4, like "(dark scene:1.3)".
Style preset for the relight operation.
standard, darker_but_realistic, clean, smooth, brighter, contrasted_n_hdr, just_composition Base64 or URL of the lightmap for light transfer. Incompatible with 'transfer_light_from_reference_image'
Base64 or URL of the reference image for light transfer. Incompatible with 'transfer_light_from_lightmap'
Optional callback URL that will receive asynchronous notifications whenever the task changes status.
"https://www.example.com/webhook"
Response
OK - The relight process has started
Show child attributes
Show child attributes
Was this page helpful?